Gecode::Search::WrapTraceRecorder Class Reference

Recorder for engine events (for access control). More...

`#include <trace-recorder.hpp>`

## Static Public Member Functions

static void | engine (SearchTracer *tracer, SearchTracer::EngineType t, unsigned int n)
| Register engine.

## Detailed Description

Recorder for engine events (for access control).

Definition at line 37 of file trace-recorder.hpp.

## Member Function Documentation

## engine()

void Gecode::Search::WrapTraceRecorder::engine | ( | SearchTracer * | tracer,
|  | SearchTracer::EngineType | t,
|  | unsigned int | n )

inline static

Register engine.

Definition at line 152 of file trace-recorder.hpp.

The documentation for this class was generated from the following file:

- gecode/search/trace-recorder.hpp